import type { App, Page } from '@vuepress/core';
import { CategoryPageData, CategoryPaginationPost, PagePluginOptions, ReleasedPage } from '../types';
export declare function formatDate(date: any): number;
export declare function compareDate(prev: any, next: any): number;
export default class PageCreater {
    app: App;
    options: PagePluginOptions;
    themeConfig: Record<string, unknown>;
    private blogsToBeReleased;
    private categoryPageData;
    private _extendedPages;
    private frontmatterKeys;
    series: Record<string, any>;
    constructor(options: PagePluginOptions, app: App, themeConfig: Record<string, unknown>);
    parse(): void;
    private parseChineseInPagePathToPinyin;
    private parsePageOptions;
    private _parseCategoryPageOptions;
    private _parseOrdinaryPageOptions;
    private setBlogsToCategoryPageData;
    private createExtendedPages;
    private _createCategoryPaginationPages;
    private _createBlogPaginationPages;
    private _setBlogCategories;
    private _setSeries;
    get extendedPages(): Promise<Page>[];
    get categoryPaginationPosts(): Record<string, CategoryPaginationPost>;
    get categorySummary(): CategoryPageData;
    get posts(): ReleasedPage[];
}
